Bug 885418 - vdsm: error log throws exception in forceIscsiScan when vdsm config minimal or maximal timeout parameters are illegel
vdsm: error log throws exception in forceIscsiScan when vdsm config minimal o...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 Linux
high Severity high
: ---
: 3.2.0
Assigned To: Yeela Kaplan
vvyazmin@redhat.com
storage
: ZStream
Depends On:
Blocks: 888414 915537
  Show dependency treegraph
 
Reported: 2012-12-09 04:32 EST by Yeela Kaplan
Modified: 2016-02-10 15:12 EST (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-7.0
Doc Type: Bug Fix
Doc Text:
Previously, illegal configuration values for the parameters scsi_rescan_minimal_timeout rescan_maximal_timeout caused forceIscsiScan to throw an unhandled exception. This was due to a mistake in way that logging methods parsed arguments: the first argument was read as a message, and the other arguments were read as format values and options. A patch, which makes use of the implicit string concat feature, ensures that these unhandled exceptions are not thrown because of wrongly parsed parameter values.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 16:37:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yeela Kaplan 2012-12-09 04:32:14 EST
Description of problem:
When the config parameters in vdsm  scsi_rescan_minimal_timeout or scsi_rescan_maximal_timeout are illegal, when used in forceIscsiScan will throw an unhandled exception.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.change scsi_rescan_minimal_timeout to -1
2.restart vdsm
  
Actual results:


Expected results:


Additional info:
Comment 1 Yeela Kaplan 2012-12-09 04:33:53 EST
http://gerrit.ovirt.org/#/c/9690/
Comment 2 Allon Mureinik 2012-12-17 10:48:47 EST
Merged I005f6343f2d8775dbf8406dffe04f6de93a81fce
Comment 5 vvyazmin@redhat.com 2013-01-10 08:13:28 EST
No issues are found

Steps for verification:
1) Add line: scsi_rescan_minimal_timeout = -1
to file : /etc/vdsm/vdsm.conf


2) Restart VDSM service
service vdsmd stop && service vdsmd start

3) Create a Master DC in iSCSI DC environment


Verified on RHEVM 3.2 - SF03 environment 

RHEVM: rhevm-3.2.0-4.el6ev.noarch
VDSM: vdsm-4.10.2-3.0.el6ev.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64
Comment 7 Cheryn Tan 2013-04-03 03:02:18 EDT
This bug is currently attached to errata RHBA-2012:14332. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 9 errata-xmlrpc 2013-06-10 16:37:47 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0886.html

Note You need to log in before you can comment on or make changes to this bug.